# Zona

Zona is a small tool for building a static website. It will allows users to write pages and blog posts in Markdown and build them into a static, lightweight website.

**Warning:** Zona has not yet reached **v1**, and it is not yet functional. Therefore, no installation instructions are provided. You may check progress in the `dev` branch of this repository.

## Table of Contents

- [Design Goals](#design-goals)
- [v1 Features](#v1-features)
- [Roadmap](#roadmap)
- [Contribution](#contribution)
- [Inspirations](#inspirations)

## Design Goals

Zona is intended to be lightweight, easy-to-use, and ship with sane defaults while still providing flexibility and powerful customization options. This tool is intended for people that wish to maintain a simple blog or personal website, do not want to write HTML, and don't need any JavaScript or backend functionality. This makes it perfect for static site hosting like Neocities or GitHub Pages.

## v1 Features

- Write pages in Markdown and build a simple HTML website.
- Automatically generated `Archive` page and `Recent Posts` element.
- Custom CSS support with sensible light & dark default themes.
- Single-command build process with optional flags for more control.
- HTML layout optimized for screen readers.
- Lightweight output.

## Roadmap

- [ ] Optional configuration file to define build options.
- [ ] Optional RSS/Atom feed generation.
- [ ] Optional image optimization & dithering.
- [ ] AUR package.
- [ ] Windows, Mac, Linux releases.
- [ ] Custom tags that expand to user-defined HTML templates.
- [ ] Companion Neovim plugin for previewing website while editing.

## Contribution

Zona is a small project maintained by a very busy graduate student. If you want to contribute, you are more than welcome to submit issues and pull requests.

## Inspirations

- [Zoner](https://git.sr.ht/~ryantrawick/zoner)
- [Zonelets](https://zonelets.net/)
